GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_metadata Struct Reference

A single metadata element. More...

`#include <grpc.h>`

## Data Fields
const char * | key
const char * | value
size_t | value_length
struct {
void * obfuscated [3]
} | internal_data
| The following fields are reserved for grpc internal use. More...

## Detailed Description

A single metadata element.

## Field Documentation

struct { ... } grpc_metadata::internal_data

The following fields are reserved for grpc internal use.

There is no need to initialize them, and they will be set to garbage during calls to grpc.

const char* grpc_metadata::key

void* grpc_metadata::obfuscated[3]

const char* grpc_metadata::value

size_t grpc_metadata::value_length

The documentation for this struct was generated from the following file:

- include/grpc/grpc.h